package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.reponse.*;

import java.util.List;

/**
 * 大屏接口数据层
 */
public interface ScreenMapper {


    /**
     * 大屏监管对象
     */

    ScreenSupervisionResponse getScreenSupervision();


    /**
     * 大屏数据来源
     */

    ScreenSourceResponse getScreenSource();

    /**
     * 大屏舆情报告
     *
     * @return
     */
    ScreenOpinionReportResponse getScreenOpinionReport();



    /**
     * 网评文章
     *
     * @return
     */
    ScreenArticlesResponse getScreenArticles();



    /**
     * 清郎专项行动数据统计
     *
     * @return
     */
    List<ScreenQinglangWeifanResponse> getScreenQinglang();


    /**
     * 清郎专项行动违规
     * @return
     */
    List<ScreenQinglangWeiguiResponse> getScreenQinglangWeigui();
}
